org.apache.storm.utils

## Interface IVersionInfo

-     public interface IVersionInfo

  Implementation of VersionInfo that uses a properties file to get the VersionInfo.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBranch()` Get the SCM branch of the build.
    `String` | `getBuildVersion()` Get a descriptive representation of the build meant for human consumption.
    `String` | `getDate()` Get the date/time the build happened.
    `String` | `getRevision()` Get the SCM revision number of the build.
    `String` | `getSrcChecksum()` Get the checksum of the source.
    `String` | `getUrl()` Get the full SCM URL for the build.
    `String` | `getUser()` Get the name of the user that did the build.
    `String` | `getVersion()` Get the version number of the build.

- - ### Method Detail

    - #### getVersion

          String getVersion()

      Get the version number of the build.

      Returns:
        the version number of the build.

    - #### getRevision

          String getRevision()

      Get the SCM revision number of the build.

      Returns:
        the SCM revision number of the build.

    - #### getBranch

          String getBranch()

      Get the SCM branch of the build.

      Returns:
        the SCM branch of the build.

    - #### getDate

          String getDate()

      Get the date/time the build happened.

      Returns:
        the date/time of the build.

    - #### getUser

          String getUser()

      Get the name of the user that did the build.

      Returns:
        the name of the user that did the build.

    - #### getUrl

          String getUrl()

      Get the full SCM URL for the build.

      Returns:
        the SCM URL of the build.

    - #### getSrcChecksum

          String getSrcChecksum()

      Get the checksum of the source.

      Returns:
        the checksum of the source.

    - #### getBuildVersion

          String getBuildVersion()

      Get a descriptive representation of the build meant for human consumption.

      Returns:
        a descriptive representation of the build.

Copyright © 2021 The Apache Software Foundation. All rights reserved.